///<reference path="../typings/globals/core-js/index.d.ts"/>
'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var core_1 = require("@angular/core");
var platform_browser_1 = require("@angular/platform-browser");
var forms_1 = require("@angular/forms");
var platform_browser_dynamic_1 = require("@angular/platform-browser-dynamic");
var wijmo_angular2_grid_1 = require("wijmo/wijmo.angular2.grid");
var wijmo_angular2_input_1 = require("wijmo/wijmo.angular2.input");
var wjcCore = require("wijmo/wijmo");
var DataSvc_1 = require("./services/DataSvc");
var AppCmp = (function () {
    function AppCmp(_dataSvc) {
        this.ngModelSelectedValue = 2;
        this.selectedValue = 3;
        this.firstFieldVariable = 'Wijmo';
        this.secondFieldVariable = '5';
        this.dataSvc = _dataSvc;
        this.data = new wjcCore.CollectionView(this.dataSvc.getData(10));
        this.data1 = new wjcCore.CollectionView(this.dataSvc.getData(50));
    }
    AppCmp.prototype.init = function (s, evt) {
        s.listBox.formatItem.addHandler(function (sender, e) {
            e.item.innerHTML = '<table><tr>' +
                '<td style="width:30px;text-align:right;padding-right:5px;">' + e.data.id + '</td>' +
                '<td style="width:100px">' + e.data.country + '</td>' +
                '<td style="width:80px;text-align:right">' +
                wjcCore.Globalize.format(e.data.date, 'd') +
                '</td>' +
                '<td style="width:80px;text-align:right">' +
                wjcCore.Globalize.format(e.data.amount, 'n0') +
                '</td>' +
                '</tr></table>';
        });
        s.refresh();
    };
    return AppCmp;
}());
AppCmp = __decorate([
    core_1.Component({
        selector: 'app-cmp',
        templateUrl: '../src/AppCmp.html'
    }),
    __param(0, core_1.Inject(DataSvc_1.DataSvc))
], AppCmp);
exports.AppCmp = AppCmp;
var AppModule = (function () {
    function AppModule() {
    }
    return AppModule;
}());
AppModule = __decorate([
    core_1.NgModule({
        imports: [platform_browser_1.BrowserModule, forms_1.FormsModule, wijmo_angular2_grid_1.WjGridModule, wijmo_angular2_input_1.WjInputModule],
        declarations: [AppCmp],
        providers: [DataSvc_1.DataSvc],
        bootstrap: [AppCmp]
    })
], AppModule);
exports.AppModule = AppModule;
core_1.enableProdMode();
// Bootstrap application 
platform_browser_dynamic_1.platformBrowserDynamic().bootstrapModule(AppModule);
//# sourceMappingURL=AppCmp.js.map